Subject: Bangkok and IETF (was: Last Call draft-ietf-mtgvenue-iaoc-venue-selection-process-11)

From: John C Klensin <[email-masked]>
Date: Fri, 02 Feb 2018 11:38:58 -0500

Just out of curiosity about criteria, could the meetings
committee or Secretariat identify the average and total number
of distinct IETF participants resident in Bangkok or elsewhere
in Thailand who have attended, e.g., the last five IETF meetings
in person?  By registering as remote attendees?  How m8ch would
those numbers change if Thailand and all adjacent countries were
included?

I should stress that I'm not objecting to the location; Bangkok
is a great city, I've attended a number of successful meetings
there, and, while previous experience predicts that someone will
find something to be afraid of or outranged about, I certainly
will not be one of them.  

However, given the Last Call on
draft-ietf-mtgvenue-iaoc-venue-selection-process and, that,
while it says some things about convenience for active
participants and "to have someone participate in the site visit
who is familiar with both the locale and the IETF" (last bullet
in Section 3.3 or -12), the longstanding requirement (or at
least preference) for there to already be active IETF
participants in near-proximity to the meeting venue is not
obvious in the document (presumably because of an explicit
decision to drop it or because "near proximity" has been
interpreted so broadly in the past as to be meaningless).   It
would be good to understand, in quantitative and specific terms
rather than generalizations, the relationship between this
meeting site choice (and possible future ones like it) and the
specifications of the document.

best,
   john

---

From: "Leslie Daigle" <[email-masked]>
Date: Fri, 02 Feb 2018 12:01:41 -0500

Hi,

Speaking as an individual, all hats off.

The practical reality is that the geographic zone of consideration for 
your question needs to be set at about the level of “Asia”.

We don’t do well at finding locations anywhere Asia that have the 
hotel space for meetings and attendees (Sections 3.3.2 and 3.3.4), with 
appropriate network access (3.3.3)  We still struggle with finding and 
securing locations that work — as evidenced by the fact that this 
announcement is less than a year before the actual meeting.   There are 
many reasons why this is true — and not a reflection on the venues in 
Asia, so much as our ability to interface with opportunities.  IMO, 
it’s an area we desperately need to improve our skillset.

Back to the question at hand, and quoting from draft-mtgvenue:

> Where do we meet?
>       We meet in different locations globally in order to spread the
>       pain and cost of travel among active participants, balancing
>       travel time and expense across the regions from where IETF
>       participants are based.  We also aim to enhance inclusiveness 
> and
>       new contributions.

To your question — Bangkok is much more “local” for most in Asia 
than Vancouver is, which has been, and remains, our fallback for failed 
attempts at securing a location in Asia proper.

Leslie.

-- 

-------------------------------------------------------------------
Leslie Daigle
Principal, ThinkingCat Enterprises
[email-masked]
-------------------------------------------------------------------

---

From: John C Klensin <[email-masked]>
Date: Fri, 02 Feb 2018 12:51:38 -0500

Leslie,

Again, I am not questioning the decision (or, really, the text).
I do no have a problem with abandoning the "Local participant"
rule (or reinterpreting it to continental or large scale, which
is probably the same thing in practice).  I note, too, that the
only thing that makes Vancouver in "Asia" is by replacing "Asia"
with "Asia-Pacific" and using a broad definition of that term
(observing that Auckland, Sydney, and Melbourne are in _that_
region and we have active participants from those places).   If,
on the other hand, we are looking at continents, there there may
be no difference between Boston and San Diego (which are further
from each other than Beijing and Bangkok) either.

However, if we have moved from a strong "local participants"
criterion to a broadly-defined "world regions" one, I don't
think that decision should sneak up on the community by virtue
of what can (or cannot) be detected from reading between the
lines of the I-D or inferred from what that document does not
say.  I don't think changes to the document are necessary but,
unless the criteria are clear to, and agreed by, the community,
I think there is a problem.   The most extreme version of that
problem is a concern I expressed about the document when the
MTGVENUE effort got started -- that we would end up with a lot
of broad statements, no real criteria about relative priorities,
and sufficient flexibility that the IAD and meetings committee
could do whatever it liked, with no real accountability to the
IETF community.   While the document is better than I feared in
that regard, the question is, in part, a way to examine on at
least one dimension, whether it actually provides clear guidance
and accountability and, if it does not, whether the community is
ok with that.

 best,
    john

--On Friday, February 2, 2018 12:01 -0500 Leslie Daigle
<[email-masked]> wrote:

> The practical reality is that the geographic zone of
> consideration for your question needs to be set at about the
> level of "Asia".
> 
> We don't do well at finding locations anywhere Asia that
> have the hotel space for meetings and attendees (Sections
> 3.3.2 and 3.3.4), with appropriate network access (3.3.3)  We
> still struggle with finding and securing locations that work
> — as evidenced by the fact that this announcement is less
> than a year before the actual meeting.   There are many
> reasons why this is true — and not a reflection on the
> venues in Asia, so much as our ability to interface with
> opportunities.  IMO, it's an area we desperately need to
> improve our skillset.
> 
>>       We meet in different locations globally in order to
>>       spread the pain and cost of travel among active
>>       participants, balancing travel time and expense across
>>       the regions from where IETF participants are based.  We
>>       also aim to enhance inclusiveness  and
>>       new contributions.
> 
> To your question — Bangkok is much more "local" for most
> in Asia than Vancouver is, which has been, and remains, our
> fallback for failed attempts at securing a location in Asia
> proper.

---

From: Andrew Sullivan <[email-masked]>
Date: Fri, 2 Feb 2018 13:29:31 -0500

Hi,

Also wearing no hat.

On Fri, Feb 02, 2018 at 12:51:38PM -0500, John C Klensin wrote:

> I think there is a problem. 

I don't think it's sneaking up on anyone.
draft-ietf-mtgvenue-meeting-policy-03 has been submitted to the IESG
for publication.  That document literally calls out the world regions,
and gives the reasons why.  It's been going through our usual
processes.  How is this not "clear to, and agreed by, the community"?
This is how we make decisions around here, I think, and the criteria
are being decided in keeping with those procedures.  What's the
problem?

Now, of course, it is not _yet_ agreed by the community, since it
hasn't been published.  But that is the problem that MTGVENUE was set
up to fix, and I don't think anyone said the IETF should stop having
or arranging meetings while that working group laboured.

Nevertheless, I think this is a good test case.  We should look at the
Bangkok through the lens of whether all the MTGVENUE processes have
worked as expected.  I am particularly curious about whether the
mandatory network critera are met given some reports I've read of
network requirements in Thailand and the results
(e.g. https://ooni.torproject.org/post/thailand-internet-censorship/).

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: John C Klensin <[email-masked]>
Date: Fri, 02 Feb 2018 14:07:26 -0500

--On Friday, February 2, 2018 13:29 -0500 Andrew Sullivan
<[email-masked]> wrote:

>> unless the criteria are clear to, and agreed by, the
>> community, I think there is a problem. 
> 
> draft-ietf-mtgvenue-meeting-policy-03 has been submitted to
> the IESG for publication.  That document literally calls out
> the world regions, and gives the reasons why.  It's been going
> through our usual processes.  How is this not "clear to, and
> agreed by, the community"? This is how we make decisions
> around here, I think, and the criteria are being decided in
> keeping with those procedures.  What's the problem?

_That_ problem, which would be more than sufficient to justify
an appeal, is that, normally, when someone says "this draft is
ok because of a provision in some other draft", the IESG either
insists that the two documents be processed at the same time or
that there be a normative reference from that document being
considered to the one that is still in process so that neither
is published until both are ready and, if necessary, there is an
opportunity to reopen the first-processed document if the other
one does not come out as expected.  

> Now, of course, it is not _yet_ agreed by the community, since
> it hasn't been published.  But that is the problem that
> MTGVENUE was set up to fix, and I don't think anyone said the
> IETF should stop having or arranging meetings while that
> working group laboured.

No.   As I tried to say, I have no particular problem with the
choice of Bangkok given both where we have met before without
major and obvious problems and an assumption of due diligence by
all directly concerned.  But, especially given that these are
two documents in the same WG, if one is needed to explain the
other and make it actionable, then both should be in Last Call
at the same time.

> Nevertheless, I think this is a good test case.  We should
> look at the Bangkok through the lens of whether all the
> MTGVENUE processes have worked as expected.  I am particularly
> curious about whether the mandatory network critera are met
> given some reports I've read of network requirements in
> Thailand and the results
> (e.g.
> https://ooni.torproject.org/post/thailand-internet-censorship/
> ).

However, those "open network" criteria have been around for
years and years and, while the MTGVENUE drafts (IMO, quite
properly) repeat and document those criteria, I don't see that
they change anything in what we've been told is being practice.
So, we can have the same question, only one that I expect to be
part of due diligence under the existing rules (even if those
rules are partially oral tradition) and you expect to conform to
the MTGVENUE rules (even if those are not completely and
formally approved).  

best,
    john

---

From: Andrew Sullivan <[email-masked]>
Date: Fri, 2 Feb 2018 15:54:32 -0500

On Fri, Feb 02, 2018 at 02:07:26PM -0500, John C Klensin wrote:
> ok because of a provision in some other draft"

I think what I was arguing is that the topic you are asking about just
isn't in draft-ietf-mtgvenue-iaoc-venue-selection-process.  The policy
is not the process, in the good tradition of the IETF, and therefore
if you want the policy you need to look somewhere else.  That
somewhere else is draft-ietf-mtgvenue-meeting-policy, and I don't
think it's been developed in secret so I don't think it's fair to
suggest that's being snuck past anyone.

> they change anything in what we've been told is being practice.

Right.  All I was saying is that the Bangkok selection is a great
opportunity to see whether it matches the (currently in draft) output
of the MTGVENUE work.  If people think there is a problem in this
case, but the selection matches the selection process and policies and
the mandatory criteria, then that tells us the output of MTGVENUE is
still not right and we need to do more work on it.  _My_ no-hat and no
special knowledge sense is that Bangkok indeed meets the criteria and
will be a good place for a meeting.

A

-- 
Andrew Sullivan
[email-masked]

---

From: Randy Bush <[email-masked]>
Date: Sat, 03 Feb 2018 07:56:18 +0900

not speaking for the noc or any one or thing other than my self.  i am
not aware of any reasons to believe that the network will not be about
as open as usual.  thailand has porn blockers, etc. but that is common
in much of asia, e.g. singapore i believe.

the intra-noc gossip i get is more about external connectivity diversity
and the usual in-room deployment worries.  normal ops issues.

to me, the crical issue is that i do not (yet) know nearby good coffee.
and naveen, the fantastic coffee hunter, is no longer with us.  but
there is a solid coffee culture, and few starbucks, always a good sign.

randy

---

From: Mikael Abrahamsson <[email-masked]>
Date: Sat, 3 Feb 2018 07:25:44 +0100 (CET)

> there is a solid coffee culture, and few starbucks, always a good sign.

We'll be within a few 100 meters from Emporium, one of the large posh 
shopping malls in Bangkok. We're smack in the middle of where a lot of 
expats live permanently in Bangkok. I don't even drink coffee, but I would 
be very surprised if you couldn't find somewhere nearby with at least 
acceptable coffee. I see people line up to buy coffee in coffee shops all 
the time where I am there, so +1 on the coffee culture.

About the lese majese laws mentioned in earlier email. Just be normally 
respectful to the fact that the Thai people love their king, and you'll be 
fine. Also don't do/bring drugs. Thailand has since the 90ties (or 
something) been under a lot of pressure due to "war on drugs" 
internationally. So they do not look the other way, and drug conviction is 
not a slap-on-the-wrist in Thailand. You get serious jail time, and from 
what I've heard, the prisons are not nice.

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: Christian Huitema <[email-masked]>
Date: Fri, 2 Feb 2018 21:14:30 -1000

On 2/2/2018 8:25 PM, Mikael Abrahamsson wrote:
>
> About the lese majese laws mentioned in earlier email. Just be
> normally respectful to the fact that the Thai people love their king,
> and you'll be fine. Also don't do/bring drugs. Thailand has since the
> 90ties (or something) been under a lot of pressure due to "war on
> drugs" internationally. So they do not look the other way, and drug
> conviction is not a slap-on-the-wrist in Thailand. You get serious
> jail time, and from what I've heard, the prisons are not nice.

OK. My personal opinion is that the politics of Thailand are something
for the Thai people to decide, and I will leave it at that. But, what if
I have tee-shirt that reads "We reject kings, presidents and voting." Am
I going to need a lawyer?

-- Christian Huitema

---

From: Mikael Abrahamsson <[email-masked]>
Date: Sat, 3 Feb 2018 08:50:43 +0100 (CET)

> I going to need a lawyer?

I've spent a year in Thailand total (so no expert, but at least have been 
there for a while), I doubt anybody will care. As long as you don't say 
anything specifically about the kings of Thailand, I don't see how it 
would be a problem.

https://en.wikipedia.org/wiki/L%C3%A8se_majest%C3%A9_in_Thailand

It's a domestic thing. Don't get involved in Thai politics and you'll be 
fine. If someone would complain about it, apologize and say you didn't 
know. As everywhere, de-escalation of a situation is everything.

---

From: Christer Holmberg <[email-masked]>
Date: Sat, 3 Feb 2018 15:00:42 +0000

I heard Bangkok is a good place for playing chess...

Regards,

Christer

Sent from my iPhone

On 3 Feb 2018, at 9.51, Mikael Abrahamsson <[email-masked]<mailto:[email-masked]>> wrote:

OK. My personal opinion is that the politics of Thailand are something for the Thai people to decide, and I will leave it at that. But, what if I have tee-shirt that reads "We reject kings, presidents and voting." Am I going to need a lawyer?

I've spent a year in Thailand total (so no expert, but at least have been there for a while), I doubt anybody will care. As long as you don't say anything specifically about the kings of Thailand, I don't see how it would be a problem.

It's a domestic thing. Don't get involved in Thai politics and you'll be fine. If someone would complain about it, apologize and say you didn't know. As everywhere, de-escalation of a situation is everything.

--
Mikael Abrahamsson    email: [email-masked]<mailto:[email-masked]>

---

From: John C Klensin <[email-masked]>
Date: Mon, 05 Feb 2018 10:58:37 -0500

> I think what I was arguing is that the topic you are asking
> about just isn't in
> draft-ietf-mtgvenue-iaoc-venue-selection-process.  The policy
> is not the process, in the good tradition of the IETF, and
> therefore if you want the policy you need to look somewhere
> else.  That somewhere else is
> draft-ietf-mtgvenue-meeting-policy, and I don't think it's
> been developed in secret so I don't think it's fair to suggest
> that's being snuck past anyone.

Andrew, I would be in complete agreement with your observations
above except that, in some cases, including this one, I don't
see the policy-process distinction/boundary quite as clearly as
you, and I presume others more deeply involved with the
documents do.
 
> Right.  All I was saying is that the Bangkok selection is a
> great opportunity to see whether it matches the (currently in
> draft) output of the MTGVENUE work.  If people think there is
> a problem in this case, but the selection matches the
> selection process and policies and the mandatory criteria,
> then that tells us the output of MTGVENUE is still not right
> and we need to do more work on it.  _My_ no-hat and no special
> knowledge sense is that Bangkok indeed meets the criteria and

Agreed and, based on personal experience, I think Bangkok would
be great place to hold an IETF meeting assuming the purely
quantitative network and bandwidth requirements are met (I
assume they are or we wouldn't be here).  I can't be quite as
sure about the on-the-ground issues as some others just because
I haven't been there since the intermittent political unrest in
recent years, but have seen no evidence that those issues, even
should they arise during an meeting, would pos any but the most
minor inconvenience to IETF meeting participants.

It seems to me that I started just with a question (not
disagreement with the idea of going to Bangkok) and a suggestion
that the question might help inform review of
draft-ietf-mtgvenue-iaoc-venue-selection-process.   It seems to
me that what you are saying is consistent with that but suggests
looking at  draft-ietf-mtgvenue-meeting-policy as well...
something with which I agree.

_However_:

(1) It seems to me that taking a process document, one that is
presumably supposed to reflect a set of policies, putting it
through Last Call, and presumably approving it before the
relevant policies have been approved is, at best odd.  It would
be reasonable only if one could argue that the document is
policy-independent and would work equally well with any
conceivably set of policies.   I do not believe that current
process document meets that test.  Indeed, its Section 2 and at
least part of Section 3 appear to me to be either policy
considerations or direct consequences of policy considerations
while Sections 4 and 5 are clearly about process.

(2) If someone believed that either some of the topics conversed
in the process document were actually policy matters or vice
versa, or someone believed either that the process being
suggested was inconsistent with the current draft of the policy
document or that language in the policy document (current or
future drafts) required spelling out of procedural steps that
are not in the process document, separating the two documents on
Last Call would effectively disenfranchise the people and
probably suppress toe  point of view because the approved
process could be used to argue for constraints on the policy
document.

To me, either of the above would argue for putting the two
documents through Last Call together or at least tabling the
Last Call results on this document and then opening a quick
review of it for policy issues only when
draft-ietf-mtgvenue-meeting-policy is put through Last Call.  If
one believes, as I now do, that the split between the two
documents is not actually policy versus process but "a
discussion of the 1-1-1* rule and its implementation" and "other
policies and associated process", that argument gets even
stronger.

Finally, returning to the question that started this thread, I
agree with you that "near IETF participants" is, at least
mostly, a policy matter.   From my perspective, there have
always been two almost-separate criteria.   One is about
continental (ore or less) unilt, expressed over time as 2-1-1,
1-1-1, and now 1-1-1*.  I think the claim that Adelaide was an
"exploratory meeting" or "exceptional instance" is revisionist
history.    At the time that meeting was held, I am fairly sure
that the assumption was this it was just an Asia-Pacific meeting
that we had decided, because of the concentration of IETF
participants in the area, to take well south in that region.

The second criterion is "near to active IETF participants".  In
general, this has been a selection criterion within
continental-type regions.  In North America, we don't generally
meet in Bozeman, Whitehorse, Tuscaloosa, Tulsa, or Calgary and I
don't think issues about finding adequate hotel and conference
space are the only, or even the more important, issues.   We
have gone to Orlando --near which there have not bee a lot of
active IETF participants -- more than once and, at least IMO,
regretted it each time (although not equally).

That criterion appears to have been silently dropped from the
policy document.  I didn't detect it until I looked in the
process document for information about participants near
Bangkok.  From one point of view, that reinforces me comments
about how these documents interact.  From another, if we are
dropping the locality rule/principle (which, IIR, predates any
discussion about 1-1-1), then probably
draft-ietf-mtgvenue-meeting-policy should devote a sentence to
saying that.   Along the same lines, I see nothing in that
policy document that allows either the IAOC or one of its
committees to declare Vancouver part of Asia.   If it is, could
such a group decide that post-Brexit London is part of North
America without violating the policy?   And if the "nearby
participants" rule is st9ll a preference, is the "familiar with
both the locale and the IETF" statement in Section 3.3 of the
process document supposed to encode it, or would more specific
language about criteria for familiarity and/or who decides?  

As an example, I've been in Bangkok several times starting in
the mid-1980s, always primarily for business/professional
reasons, but never to a meeting about the Internet or that put
heavy demands of host or h0tel communications facilities.  I
also have not been there is the lat half-dozen years.  I
certainly do not speak the language nor do I claim expertise on
the local culture or politics.  Does that qualify me as
"familiar" or "not familiar"?  The question is rhetorical but,
if this is a process document that needs to stand along because
the policy document doesn't say anyone beyond a continental
breakdown, I suggest it doesn't say enough.

best,
    john